import { GrammarMarkType } from '@visactor/vgrammar-core';
import type { PathEncodeChannels, WithDefaultEncode, BasicEncoderSpecMap, GenerateBaseEncodeSpec, Nil, ScaleSpec, ValueOf } from '@visactor/vgrammar-core';
import { PlotMakType } from './enums';
import { SemanticMark } from './semantic-mark';
export declare class PathSemanticMark extends SemanticMark<BasicEncoderSpecMap['path'], PathEncodeChannels> {
    static readonly type = PlotMakType.path;
    constructor(id?: string | number);
    setMarkType(): GrammarMarkType;
    parseScaleByEncode(channel: PathEncodeChannels, option: ValueOf<WithDefaultEncode<BasicEncoderSpecMap['path'], PathEncodeChannels>, PathEncodeChannels>): ScaleSpec | Nil;
    convertMarkEncode(encode: WithDefaultEncode<BasicEncoderSpecMap['path'], PathEncodeChannels>): GenerateBaseEncodeSpec<BasicEncoderSpecMap['path']>;
}
